<?php

namespace Shqawe\BestUserInXTime\XF\Entity;

use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{

    public function getUserPobularPost()
    {
        $options = \XF::options();
        $totlalTime = 86400 * $options->bw_no_days;
        $startTime  = \XF::$time - \XF::$time % $totlalTime;
        $endtime    = $startTime + $totlalTime;
        $finder =  \XF::finder('XF:Thread')
            ->where('user_id', $this->user_id)
            ->where('post_date', '>', $startTime)
            ->where('post_date', '<', $endtime);
        if(!empty($options->bw_node))
        {
            $finder->where('node_id', '<>', $options->bw_node);
        }
        return $finder->order('view_count', 'DESC')->fetchOne();
    }

    public function getUserActivePost()
    {
        $options = \XF::options();
        $totlalTime = 86400 * $options->bw_no_days;
        $startTime  = \XF::$time - \XF::$time % $totlalTime;
        $endtime    = $startTime + $totlalTime;
        $finder =  \XF::finder('XF:Post')
            ->with('Thread')
//            ->where('thread_id', '=','Thread.thread_id')
            ->where('Thread.user_id', $this->user_id)
            ->where('Thread.post_date', '>', $startTime)
            ->where('Thread.post_date', '<', $endtime);
        if(!empty($options->bw_node))
        {
            $finder->where('Thread.node_id', '<>', $options->bw_node);
        }
        return $finder->fetchOne();
    }
}